KDE 4.9 PyKDE API Reference

- KDE's Python API

# Maneuver Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

## Enumerations
Direction | { Unknown, Continue, Merge, Straight, SlightRight, Right, SharpRight, TurnAround, SharpLeft, Left, SlightLeft, RoundaboutFirstExit, RoundaboutSecondExit, RoundaboutThirdExit, RoundaboutExit, ExitLeft, ExitRight }
## Methods
| __init__ (self)
Marble.Maneuver.Direction | direction (self)
QString | directionPixmap (self)
bool | hasWaypoint (self)
QString | instructionText (self)
bool | operator != (self, Marble.Maneuver other)
bool | operator == (self, Marble.Maneuver other)
Marble.GeoDataCoordinates | position (self)
QString | roadName (self)
| setDirection (self, Marble.Maneuver.Direction direction)
| setInstructionText (self, QString text)
| setPosition (self, Marble.GeoDataCoordinates position)
| setRoadName (self, QString roadName)
| setWaypoint (self, Marble.GeoDataCoordinates waypoint, int index)
Marble.GeoDataCoordinates | waypoint (self)
int | waypointIndex (self)

## Method Documentation

__init__ | ( |  | self ) |

Marble.Maneuver.Direction direction | ( |  | self ) |

QString directionPixmap | ( |  | self ) |

bool hasWaypoint | ( |  | self ) |

QString instructionText | ( |  | self ) |

bool operator != | ( | self, |
|  | Marble.Maneuver | other
| ) |  |  |

bool operator == | ( | self, |
|  | Marble.Maneuver | other
| ) |  |  |

Marble.GeoDataCoordinates position | ( |  | self ) |

QString roadName | ( |  | self ) |

setDirection | ( | self, |
|  | Marble.Maneuver.Direction | direction
| ) |  |  |

setInstructionText | ( | self, |
|  | QString | text
| ) |  |  |

setPosition | ( | self, |
|  | Marble.GeoDataCoordinates | position
| ) |  |  |

setRoadName | ( | self, |
|  | QString | roadName
| ) |  |  |

setWaypoint | ( | self, |
|  | Marble.GeoDataCoordinates | waypoint,
|  | int | index
| ) |  |  |

Marble.GeoDataCoordinates waypoint | ( |  | self ) |

int waypointIndex | ( |  | self ) |

## Enumeration Documentation

Direction

Enumerator:

  Unknown = 0 |
  Continue = 13 |
  Merge = 14 |
  Straight = 1 |
  SlightRight = 2 |
  Right = 3 |
  SharpRight = 4 |
  TurnAround = 5 |
  SharpLeft = 6 |
  Left = 7 |
  SlightLeft = 8 |
  RoundaboutFirstExit = 9 |
  RoundaboutSecondExit = 10 |
  RoundaboutThirdExit = 11 |
  RoundaboutExit = 12 |
  ExitLeft = 15 |
  ExitRight = 16 |